> ## Documentation Index
> Fetch the complete documentation index at: https://docs.haiqu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Data Loading Estimates

> Data Loading estimates endpoint.

Compute estimated time and cost for the data loading.

Args:
    user (User): User authenticated with api key.
    data (DataLoadingSubmitModel): The payload for data loading.

Returns:
    dict: The estimates dictionary.



## OpenAPI

````yaml https://api.haiqu.ai/openapi.json post /data_loading_estimates
openapi: 3.1.0
info:
  title: Haiqu API
  summary: Haiqu RESTful API service.
  description: Cloud service providing the access to Haiqu cloud runtime
  contact:
    name: Haiqu Inc.
    url: https://haiqu.ai/
    email: info@haiqu.ai
  version: 1.4.0
servers: []
security: []
paths:
  /data_loading_estimates:
    post:
      summary: Data Loading Estimates
      description: |-
        Data Loading estimates endpoint.

        Compute estimated time and cost for the data loading.

        Args:
            user (User): User authenticated with api key.
            data (DataLoadingSubmitModel): The payload for data loading.

        Returns:
            dict: The estimates dictionary.
      operationId: data_loading_estimates_data_loading_estimates_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DataLoadingSubmitModel'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyQuery: []
        - APIKeyHeader: []
components:
  schemas:
    DataLoadingSubmitModel:
      properties:
        experiment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Id
          default: ''
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          default: ''
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          default: ''
        parameters:
          additionalProperties: true
          type: object
          title: Parameters
        num_qubits:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Qubits
        distribution_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Distribution Name
        dl_type:
          type: string
          title: Dl Type
          default: ''
      type: object
      required:
        - parameters
      title: DataLoadingSubmitModel
      description: Data Loading payload data model.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyQuery:
      type: apiKey
      in: query
      name: HAIQU_API_KEY
    APIKeyHeader:
      type: apiKey
      in: header
      name: authorization

````